data:extend({
	-- entities used by 1.1.2, kept for backwards compatibility
	{
        type = "decorative",
        name = "gun-turret-range-overlay",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__turrets-range__/graphics/overlay-gun.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-b[turret-range-overlay-gun]",
        collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__turrets-range__/graphics/overlay-gun.png",
                width = 32,
                height = 32
            }
        }
    },
    {
        type = "decorative",
        name = "laser-turret-range-overlay",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__turrets-range__/graphics/overlay-gun.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-b[turret-range-overlay-gun]",
        collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__turrets-range__/graphics/overlay-laser.png",
                width = 32,
                height = 32
            }
        }
    },
	{
        type = "simple-entity",
        name = "gun-turret-range-overlay-patch",
        flags = {"not-on-map"},
        icon = "__turrets-range__/graphics/overlay-gun.png",
        collision_mask = {},
        subgroup = "grass",
        order = "b[decorative]-b[turret-range-overlay-gun]",
		collision_box = {{-0.5, -0.5}, {0.5, 0.5}},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		resistances =
		{
			{ -- this is to prevent the markers from getting destroyed by flamethrowers
				type = "fire",
				percent = 100
			}
		},
        selectable_in_game = false,
        render_layer = "radius-visualization",
		max_health = 1,
        pictures = {
            {
                filename = "__turrets-range__/graphics/overlay-gun.png",
                width = 32,
                height = 32
            }
        }
    },
    {
        type = "simple-entity",
        name = "laser-turret-range-overlay-patch",
        flags = {"not-on-map"},
        icon = "__turrets-range__/graphics/overlay-gun.png",
        collision_mask = {},
        subgroup = "grass",
        order = "b[decorative]-b[turret-range-overlay-laser]",
		collision_box = {{-0.5, -0.5}, {0.5, 0.5}},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		resistances =
		{
			{ -- this is to prevent the markers from getting destroyed by flamethrowers
				type = "fire",
				percent = 100
			}
		},
        selectable_in_game = false,
        render_layer = "radius-visualization",
		max_health = 1,
        pictures = {
            {
                filename = "__turrets-range__/graphics/overlay-laser.png",
                width = 32,
                height = 32
            }
        }
    },
    {
        type = "decorative",
        name = "turret-probe",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__turrets-range__/graphics/turret-probe-entity.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-b[turret-range-overlay-gun]",
        collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__turrets-range__/graphics/turret-probe-entity.png",
                width = 32,
                height = 32
            }
        }
    }
})

